=== debian/changelog ===
node-babel7 (7.18.8+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * Simplify build using pkgjs-install-minimal
  * New upstream version 7.18.8+~cs214.249.185
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sun, 10 Jul 2022 22:48:54 +0200

node-babel7 (7.18.7+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * Fix babel-standalone: link @jridgewell/set-array and
    @jridgewell/source-map during builb
  * New upstream version 7.18.7+~cs214.249.185

 -- Yadd <yadd@debian.org>  Thu, 30 Jun 2022 06:51:43 +0200

node-babel7 (7.18.6+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.6+~cs214.249.185
  * Embed @types/charcodes
  * Refresh patches
  * Update build and fix links for recent @rollup/plugin-commonjs

 -- Yadd <yadd@debian.org>  Tue, 28 Jun 2022 17:55:30 +0200

node-babel7 (7.18.5+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.5+~cs214.249.185
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Thu, 16 Jun 2022 06:38:47 +0200

node-babel7 (7.18.4+~cs214.249.185-2) unstable; urgency=medium

  * Team upload
  * Declare compliance with policy 4.6.1
  * Use terser, not uglifyjs.terser
  * Build babel-standalone with babel 7.18

 -- Yadd <yadd@debian.org>  Tue, 07 Jun 2022 10:06:32 +0200

node-babel7 (7.18.4+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * Use new node-babel-polyfills and drop related components
  * New upstream version 7.18.4+~cs214.249.185
  * Unfuzz patches
  * Update tsc patch
  * Require node-rollup-plugin-babel >= 5.3.1
  * Update build modules
  * Temporarily accept babel-standalone's build failures

 -- Yadd <yadd@debian.org>  Tue, 07 Jun 2022 08:15:02 +0200

node-babel7 (7.17.11+~cs214.263.190-2) unstable; urgency=medium

  [ Yadd ]
  * Drop useless build dependency to node-rollup-plugin-node-polyfills

  [ Pirate Praveen ]
  * Drop build dependency on deprecated node-gulp-util (unused)

 -- Pirate Praveen <praveen@debian.org>  Thu, 12 May 2022 22:57:38 +0530

node-babel7 (7.17.11+~cs214.263.190-1) unstable; urgency=medium

  * Team upload
  * Apply multi-arch hints (foreign)
  * Update copyright
  * Update lintian-overrides
  * New upstream version 7.17.11+~cs214.263.190
  * Refresh patches
  * Update build modules
  * Require node-ampproject-remapping >= 2.2~
  * Update build
  * Update copyright

 -- Yadd <yadd@debian.org>  Sun, 01 May 2022 09:12:07 +0200

node-babel7 (7.17.9+~cs214.260.191-2) unstable; urgency=medium

  * Team upload
  * Add dependencies to node-core-js-compat and node-core-js-pure

 -- Yadd <yadd@debian.org>  Tue, 26 Apr 2022 14:25:50 +0200

node-babel7 (7.17.9+~cs214.260.191-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.9+~cs214.260.191
  * Refresh patches
  * Ignore rollup warning during babel-standalone build

 -- Yadd <yadd@debian.org>  Sat, 09 Apr 2022 08:00:52 +0200

node-babel7 (7.17.8+~cs214.260.191-2) unstable; urgency=medium

  * Team upload
  * Fix pirates version

 -- Yadd <yadd@debian.org>  Tue, 22 Mar 2022 06:28:44 +0100

node-babel7 (7.17.8+~cs214.260.191-1) unstable; urgency=medium

  * Team upload
  * Simplfy debian/rules using new features from dh-sequence-nodejs 0.14.5
  * New upstream version 7.17.8+~cs214.260.191 (updates babel and
    @types/babel__core)
  * Add patch for eslint-scope >= 7
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 21 Mar 2022 17:42:49 +0100

node-babel7 (7.17.7+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.7+~cs214.260.190
  * Build doc with dh-nodejs-autodocs
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Thu, 17 Mar 2022 09:14:52 +0100

node-babel7 (7.17.6+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.6+~cs214.260.190

 -- Yadd <yadd@debian.org>  Fri, 25 Feb 2022 14:26:19 +0100

node-babel7 (7.17.5+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.5+~cs214.260.190

 -- Yadd <yadd@debian.org>  Sun, 20 Feb 2022 09:20:49 +0100

node-babel7 (7.17.4+~cs214.260.190-2) unstable; urgency=medium

  * Team upload
  * Fix CRLF/LF by removing .gitattributes, thanks to Jochen Spricherhof
  * Allow babel-preset-moxy to require @babel/preset-env/lib/module-transformations
    (Closes: #1006061)

 -- Yadd <yadd@debian.org>  Sat, 19 Feb 2022 09:24:48 +0100

node-babel7 (7.17.4+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.4+~cs214.260.190
  * Update tsc patch
  * Require dh-sequence-nodejs 0.12.3 to build charcode using lerna.conf
  * Require node-ampproject-remapping > 2.1

 -- Yadd <yadd@debian.org>  Thu, 17 Feb 2022 09:47:50 +0100

node-babel7 (7.17.2+~cs214.260.190-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.17.2+~cs214.260.190, updates:
    + babel 7.17.2
    + babel-plugin-polyfill-corejs3 0.5.2
  * Add dependency to node-ampproject-remapping
  * Update tsc patch
  * Update tsc-workaround patch
  * Map @ampproject/remapping into node_modules/ during build

 -- Yadd <yadd@debian.org>  Wed, 09 Feb 2022 18:25:39 +0100

node-babel7 (7.16.12+~cs214.260.189-2) unstable; urgency=medium

  * Team upload
  * Fix load-plugins-from-system-libraries patch (Closes: #1004540)

 -- Yadd <yadd@debian.org>  Tue, 01 Feb 2022 13:46:43 +0100

node-babel7 (7.16.12+~cs214.260.189-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.16.12+~cs214.260.189
  * Update tsc patch

 -- Yadd <yadd@debian.org>  Thu, 27 Jan 2022 11:26:01 +0100

node-babel7 (7.16.10+~cs214.260.188-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.16.10+~cs214.260.188
  * Refresh patches
  * Embed import-meta-resolve for build only

 -- Yadd <yadd@debian.org>  Thu, 20 Jan 2022 08:18:38 +0100

node-babel7 (7.16.9+~cs214.260.184-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.16.9+~cs214.260.184
  * Refresh patches
  * Clean build modules

