=== debian/tests/control ===
Depends: @, @builddeps@
Restrictions: allow-stderr
Features: test-name=rebuild-itself
Test-Command: ./debian/rules override_dh_auto_configure && ./debian/rules override_dh_auto_build
