=== debian/changelog ===
node-babel7 (7.19.3+ds1+~cs214.250.186-3) unstable; urgency=medium

  * Team upload
  * Source-only upload

 -- Yadd <yadd@debian.org>  Sat, 01 Oct 2022 14:03:12 +0200

node-babel7 (7.19.3+ds1+~cs214.250.186-2) unstable; urgency=medium

  * Team upload
  * Move source-map files into separate node-babel7-debug

 -- Yadd <yadd@debian.org>  Fri, 30 Sep 2022 18:56:19 +0200

node-babel7 (7.19.3+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.19.3+ds1+~cs214.250.186
  * Refresh patches
  * Update typescript workarounds

 -- Yadd <yadd@debian.org>  Fri, 30 Sep 2022 12:35:26 +0200

node-babel7 (7.19.2+ds1+~cs214.250.186-2) unstable; urgency=medium

  * Team upload
  * Update lintian overrides
  * Make build reproducible

 -- Yadd <yadd@debian.org>  Tue, 27 Sep 2022 15:53:48 +0200

node-babel7 (7.19.2+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * Exclude .yarn from import
  * Don't launch rebuild-itself test on armel
  * New upstream version 7.19.2+ds1+~cs214.250.186
    (updates @types/babel__traverse)

 -- Yadd <yadd@debian.org>  Tue, 27 Sep 2022 06:38:22 +0200

node-babel7 (7.19.2+~cs214.250.185-2) unstable; urgency=medium

  * Team upload
  * Revert 7.18.13+~cs214.250.184-3 changes (cd5115c2): was a
    @rollup/plugin-node-resolve regression
  * Fix autopkgtest

 -- Yadd <yadd@debian.org>  Mon, 19 Sep 2022 09:43:29 +0200

node-babel7 (7.19.2+~cs214.250.185-1) unstable; urgency=medium

  * Team upload
  * Render build partially reproducible
  * New upstream version 7.19.2+~cs214.250.185
  * Refresh patches

 -- Yadd <yadd@debian.org>  Thu, 15 Sep 2022 10:28:54 +0200

node-babel7 (7.19.0+~cs214.250.185-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.19.0+~cs214.250.185
  * Refresh patches

 -- Yadd <yadd@debian.org>  Wed, 14 Sep 2022 12:46:12 +0200

node-babel7 (7.18.13+~cs214.250.184-3) unstable; urgency=medium

  * Team upload
  * Add missing build dependency on dh-nodejs for command dh_nodejs_autodocs.
  * Enable __proto__ in test, needed here for pkg-js-autopkgtest 0.15
  * Build with an older @rollup/plugin-node-resolve (Closes: #1019685)
  * Update debian/clean

 -- Yadd <yadd@debian.org>  Tue, 13 Sep 2022 15:33:06 +0200

node-babel7 (7.18.13+~cs214.250.184-2) unstable; urgency=medium

  * Team upload
  * Drop patch fix-terser-import, require terser >= 5

 -- Yadd <yadd@debian.org>  Mon, 05 Sep 2022 12:14:03 +0200

node-babel7 (7.18.13+~cs214.250.184-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.13+~cs214.250.184

 -- Yadd <yadd@debian.org>  Thu, 25 Aug 2022 07:02:41 +0200

node-babel7 (7.18.12+~cs214.250.184-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.12+~cs214.250.184
  * Update patches
  * Update build
  * Add build dependencies to @types/fs-readdir-recursive and @types/types-v8flags

 -- Yadd <yadd@debian.org>  Tue, 09 Aug 2022 09:04:25 +0200

node-babel7 (7.18.9+~cs214.249.185-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.18.9+~cs214.249.185
  * Embed @types/gensync
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 19 Jul 2022 16:17:00 +0200
