=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: javascript
 Priority: optional
 Build-Depends: debhelper-compat (= 13)
- , dh-sequence-nodejs (>= 0.14.27~)
+ , dh-sequence-nodejs (>= 0.15.5~)
  , eslint
  , git <pkg.node-babel7.yarnpkg>
  , gulp (>= 4)
@@ -37,6 +37,7 @@
  , node-jest-worker
  , node-jsdom
  , node-leven (>= 3.1.0+~cs1.1.1)
+ , node-lru-cache
  , node-liftoff (>= 3.1.0-4~)
  , node-lodash (>= 4.17.19+dfsg1~)
  , node-lodash-packages
@@ -58,13 +59,16 @@
  , node-through
  , node-through2
  , node-typescript
+ , node-types-fs-readdir-recursive
  , node-types-jest
+ , node-types-v8flags
  , node-vinyl-fs (>= 2.4.4-2~)
  , rollup (>= 2.61.1-4~)
- , terser
+ , terser (>= 5)
  , webpack
  , npm <pkg.node-babel7.yarnpkg>
  , yarnpkg <pkg.node-babel7.yarnpkg>
+ , dh-nodejs
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/js-team/node-babel
 Vcs-Git: https://salsa.debian.org/js-team/node-babel.git
@@ -113,6 +117,7 @@
  , node-v8flags
  , nodejs:any
 Suggests: node-babel-plugin-polyfill-es-shims
+ , node-babel7-debug
 Breaks: node-babel-core (<< 6.26.0+repack-3~)
 Provides: ${nodeBabel7:Provides}
  , babeljs (= ${binary:Version})
@@ -160,3 +165,12 @@
     app itself, including all the goodies that ES2015 provides.
   * Other non-Node.js environments (ReactJS.NET, ruby-babel-transpiler,
     php-babel-transpiler, etc).
+
+Package: node-babel7-debug
+Architecture: all
+Depends: ${misc:Depends}
+Breaks: node-babel7 (<< 7.19.3+ds1+~cs214.250.186-2)
+ , node-babel7-runtime (<< 7.19.3+ds1+~cs214.250.186-2)
+ , node-babel7-standalone (<< 7.19.3+ds1+~cs214.250.186-2)
+Description: Source-map files for node-babel7 packages
+ Source map files for node-babel7, node-babel7-runtime and node-babel7-standalone
