=== debian/rules ===
--- 
+++ 
@@ -19,8 +19,9 @@
 override_dh_auto_configure:
 ifeq (,$(filter pkg.node-babel7.yarnpkg,$(DEB_BUILD_OPTIONS) $(DEB_BUILD_PROFILES)))
 	# Don't link internal modules
+	pkgjs-install-minimal
+	rm -rf node_modules/@jridgewell
 	pkgjs-utils link_external_modules
-	pkgjs-install-minimal
 	pkgjs-utils link_build_modules
 else
 	# No link when built with yarnpkg
@@ -38,8 +39,13 @@
 	@echo
 	@echo "Step 1: Link /usr/share/nodejs/@babel/* build dependencies into node_modules"
 	LIST=`pkgjs-utils modules_list` && \
-		for m in $$LIST `pkgjs-utils main`; do ln -vs /usr/share/nodejs/$$m node_modules/$$m || true; done
-
+		for m in $$LIST `pkgjs-utils main`; do \
+			if [ -e /usr/share/nodejs/$$m ]; then \
+				rm -f node_modules/$$m; \
+				ln -vs /usr/share/nodejs/$$m node_modules/$$m || true; \
+			fi; \
+		done
+	ln -s ../../packages/babel-helper-string-parser node_modules/@babel/helper-string-parser || true
 	@echo
 	@echo "Step 2: build charcodes"
 	cd charcodes; \
@@ -56,17 +62,22 @@
 	#$(MAKE) prepublish-build-standalone YARN=''
 	#gulp build-babel-standalone
 	gulp generate-standalone
-	NODE_ENV=production BABEL_ENV=production STRIP_BABEL_8_FLAG=true $(MAKE) build-bundle
-	STRIP_BABEL_8_FLAG=true $(MAKE) prepublish-build-standalone
-	$(MAKE) generate-tsconfig
+	#NODE_ENV=production BABEL_ENV=production STRIP_BABEL_8_FLAG=true $(MAKE) build-bundle
+	node scripts/set-module-type.js
+	NODE_ENV=production BABEL_ENV=production STRIP_BABEL_8_FLAG=true gulp build
+	node packages/babel-types/scripts/generators/flow.js > packages/babel-types/lib/index.js.flow
+	cd packages/babel-plugin-transform-runtime && node scripts/build-dist.js
+	STRIP_BABEL_8_FLAG=true BABEL_ENV=production IS_PUBLISH=true gulp build-babel-standalone
+	node scripts/generators/tsconfig.js
+	node scripts/generators/archived-libs-typings.js
 
 	@echo
 	@echo "Step 4: build typescript declarations"
 
 	# Workaround: babel wants tsc < 4.5
 	perl -i -pe '$$_ = "// \@ts-ignore\n$$_"' \
-		packages/babel-traverse/src/path/generated/asserts.ts \
-		packages/babel-traverse/src/path/generated/validators.ts
+		packages/babel-traverse/src/path/generated/asserts.d.ts \
+		packages/babel-traverse/src/path/generated/validators.d.ts
 
 	# Now use internal babel modules
 	rm -rf dts
@@ -79,7 +90,7 @@
 	done
 	tsc -b .
 	gulp bundle-dts
-	$(MAKE) build-typescript-legacy-typings
+	node packages/babel-types/scripts/generators/typescript-legacy.js > packages/babel-types/lib/index-legacy.d.ts
 
 	@echo
 	@echo "Step 5: build @babel/standalone"
@@ -135,11 +146,17 @@
 	find debian -name .gitignore -delete
 	find debian -name tsconfig.tsbuildinfo -delete
 	cd debian/node-babel7 && rm -rf `cat ../../debian/node-babel7-*.install|sed 's/.* //g'`
+	perl -i -pe 's#(?:\.\./)+usr/#/usr/#' `find debian/*/usr/share/nodejs -name '*.map'`
+	# Move source-map files into node-babel7-debug
+	dh_nodejs_build_debug_package node-babel7-debug
 
 override_dh_installdocs:
 	dh_installdocs
 	# Auto-generate components docs
 	dh_nodejs_autodocs auto_dispatch
+	mv debian/node-babel7-debug/usr/share/doc/node-babel7-debug debian/node-babel7-debug/usr/share/
+	rm -rf debian/node-babel7-debug/usr/share/doc/*
+	mv debian/node-babel7-debug/usr/share/node-babel7-debug debian/node-babel7-debug/usr/share/doc/
 
 override_dh_fixperms:
 	dh_fixperms
@@ -147,7 +164,3 @@
 		debian/node-babel7/usr/share/nodejs/@babel/cli/bin/babel.js \
 		debian/node-babel7/usr/share/nodejs/@babel/node/bin/babel-node.js \
 		debian/node-babel7/usr/share/nodejs/@babel/parser/bin/babel-parser.js
-
-override_dh_auto_clean:
-	dh_auto_clean --buildsystem=nodejs
-	$(MAKE) clean-all
