## node-babel7 7.19.6+ds1+~cs214.250.186

=== debian/changelog ===
node-babel7 (7.19.6+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.19.6+ds1+~cs214.250.186
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Sat, 22 Oct 2022 11:05:48 +0200

node-babel7 (7.19.5+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.19.5+ds1+~cs214.250.186

 -- Yadd <yadd@debian.org>  Thu, 13 Oct 2022 08:51:21 +0200
