## node-babel7 7.20.0+ds1+~cs214.250.186

=== debian/changelog ===
node-babel7 (7.20.0+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload

  [ Debian Janitor ]
  * Apply multi-arch hints. + node-babel7-debug: Add Multi-Arch: foreign.

  [ Yadd ]
  * New upstream version 7.20.0+ds1+~cs214.250.186
  * Refresh patches
  * Update build: drop old hook

 -- Yadd <yadd@debian.org>  Fri, 28 Oct 2022 21:42:39 +0200
