=== debian/control ===
--- 
+++ 
@@ -172,5 +172,6 @@
 Breaks: node-babel7 (<< 7.19.3+ds1+~cs214.250.186-2)
  , node-babel7-runtime (<< 7.19.3+ds1+~cs214.250.186-2)
  , node-babel7-standalone (<< 7.19.3+ds1+~cs214.250.186-2)
+Multi-Arch: foreign
 Description: Source-map files for node-babel7 packages
  Source map files for node-babel7, node-babel7-runtime and node-babel7-standalone
