=== debian/rules ===
--- 
+++ 
@@ -81,13 +81,13 @@
 
 	# Now use internal babel modules
 	rm -rf dts
-	LIST=`pkgjs-utils modules_list;pkgjs-utils main` && (cd node_modules && rm -f $$LIST)
+	LIST=`pkgjs-utils modules_list;pkgjs-utils main` && (cd node_modules && rm -rf $$LIST)
 	pkgjs-utils link_internal_modules
-	for i in babel-*/ gensync packages/b*; do \
-		NAME=`pkgjs-pjson $$i name`; \
-		rm -rf node_modules/$$NAME; \
-		cp -a $$i node_modules/$$NAME; \
-	done
+	#for i in babel-*/ gensync packages/b*; do \
+	#	NAME=`pkgjs-pjson $$i name`; \
+	#	rm -rf node_modules/$$NAME; \
+	#	cp -a $$i node_modules/$$NAME; \
+	#done
 	tsc -b .
 	gulp bundle-dts
 	node packages/babel-types/scripts/generators/typescript-legacy.js > packages/babel-types/lib/index-legacy.d.ts
