## node-babel7 7.20.4+ds1+~cs214.250.187

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 FLOW_COMMIT = 92bbb5e9dacb8185aa73ea343954d0434b42c40b
-TEST262_COMMIT = e849d40605dbacb5f0373385c5f64532b61b8c39
+TEST262_COMMIT = eb67a7689f422cf14776f78191650d0d78c2d2e4
 TYPESCRIPT_COMMIT = ce85d647ef88183c019588bcf398320ce29b625a
 
 # Fix color output until TravisCI fixes https://github.com/travis-ci/travis-ci/issues/7967
@@ -178,7 +178,7 @@
 	rm -rf build/test262
 	mkdir -p build
 	git clone --filter=blob:none --sparse --single-branch --shallow-since=2021-05-01 https://github.com/tc39/test262.git build/test262
-	cd build/test262 && git sparse-checkout set "test"
+	cd build/test262 && git sparse-checkout set "test" "harness"
 	cd build/test262 && git checkout -q $(TEST262_COMMIT)
 
 test-test262:
