=== debian/changelog ===
node-babel7 (7.20.4+ds1+~cs214.250.187-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.20.4+ds1+~cs214.250.187
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Wed, 09 Nov 2022 09:27:08 +0100

node-babel7 (7.20.1+ds1+~cs214.250.186-2) unstable; urgency=medium

  * Team upload
  * Add fix for rollup 3

 -- Yadd <yadd@debian.org>  Fri, 04 Nov 2022 06:11:27 +0100

node-babel7 (7.20.1+ds1+~cs214.250.186-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.20.1+ds1+~cs214.250.186

 -- Yadd <yadd@debian.org>  Thu, 03 Nov 2022 11:09:59 +0100
