## node-babel7 7.20.6+ds1+~cs214.250.188

=== debian/changelog ===
node-babel7 (7.20.6+ds1+~cs214.250.188-1) unstable; urgency=medium

  * Team upload
  * Drop embedded rollup-plugin-polyfill-node
  * Update lintian overrides
  * New upstream version 7.20.6+ds1+~cs214.250.188
  * Refresh patches

 -- Yadd <yadd@debian.org>  Tue, 29 Nov 2022 13:56:14 +0100
