=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  , git <pkg.node-babel7.yarnpkg>
  , gulp (>= 4)
  , help2man
- , node-ampproject-remapping (>= 2.2~)
+ , node-ampproject-remapping
  , node-array-each
  , node-babel7
  , node-babel7 (>= 7.18~) <!pkg.node-babel7.yarnpkg>
@@ -52,6 +52,7 @@
  , node-rollup-plugin-inject
  , node-rollup-plugin-json (>= 4.1.0)
  , node-rollup-plugin-node-resolve (>= 9.0.0)
+ , node-rollup-plugin-polyfill-node
  , node-rollup-plugin-replace (>= 2.3.3)
  , node-rollup-plugin-terser
  , node-serialize-javascript
@@ -79,7 +80,7 @@
 Package: node-babel7
 Architecture: all
 Depends: ${misc:Depends}
- , node-ampproject-remapping (>= 2.2~)
+ , node-ampproject-remapping
  , node-babel-plugin-add-module-exports
  , node-babel7-runtime (= ${binary:Version})
  , node-babel-plugin-polyfill-corejs2
