## node-babel7 7.20.11+ds1+~cs214.250.188

=== debian/changelog ===
node-babel7 (7.20.11+ds1+~cs214.250.188-1) unstable; urgency=medium

  * Team upload
  * Update description
  * New upstream version 7.20.11+ds1+~cs214.250.188
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 03 Jan 2023 07:03:40 +0400
