=== debian/changelog ===
node-babel7 (7.20.12+ds1+~cs214.250.188-1) unstable; urgency=medium

  * Team upload
  * New upstream version 7.20.12+ds1+~cs214.250.188
  * Unfuzz patches

 -- Yadd <yadd@debian.org>  Tue, 10 Jan 2023 09:01:19 +0400
