=== debian/control ===
--- 
+++ 
@@ -123,7 +123,7 @@
 Provides: ${nodeBabel7:Provides}
  , babeljs (= ${binary:Version})
 X-Javascript-Built-Using: ${nodejs:BuiltUsing}
-Description: Babel command line
+Description: Babel compiler for writing next generation JavaScript
  Babel is a JavaScript compiler to use next generation JavaScript, today.
  .
  ES2015 and beyond: Babel has support for the latest version of JavaScript
